%define rname	johnnycache
%define cid 	\{1f2aa29a-fc45-40d3-b090-efdb2588df0d\}
%define ciddir	%firefox_noarch_extensionsdir/%cid

Name:		firefox-%rname
Version:	1.0.2
Release:	alt1

Summary:	URL Based Cache Blocker for Mozilla Firefox.
Summary(ru_RU.KOI8-R):	 URL  Mozilla Firefox 

License:	GPL
Group:		Networking/WWW
URL:		http://onslow.unival.com/users/sboles/firefox/jc.html

Packager:	Sergey Shilov <hsv@altlinux.ru>
Source0:	%rname-%version-fx.xpi

BuildArch:	noarch

BuildRequires(pre):	rpm-build-firefox
BuildRequires: 		unzip
Requires:		%firefox_name >= 2.0

%description 	
Mozilla Firefox plugin - JohnnyCache can be used to block access to the disk and memory cache based on
user-defined URL patterns.

%description -l ru_RU.KOI8-R
Mozilla Firefox  - JohnnyCache        
URL,  .

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir
%__subst 's@>2.0.0.*<@>3.*<@' %buildroot/%ciddir/install.rdf
%__subst 's,http\:\/\/onslow\.unival\.com\/users\/sboles\/firefox\/update\.rdf,https\:\/\/onslow\.unival\.com\/users\/sboles\/firefox\/update\.rdf,g' %buildroot/%ciddir/install.rdf

%files
%ciddir

%changelog
* Sat Jul 11 2009 Sergey Shilov <hsv@altlinux.org> 1.0.2-alt1
- Initial build for Sisyphus.
